OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.GeometryShader4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBGeometryShader4 :: MonadIO m => m Bool
- gl_ARB_geometry_shader4 :: Bool
- pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB :: GLenum
- pattern GL_GEOMETRY_INPUT_TYPE_ARB :: GLenum
- pattern GL_GEOMETRY_OUTPUT_TYPE_ARB :: GLenum
- pattern GL_GEOMETRY_SHADER_ARB :: GLenum
- pattern GL_GEOMETRY_VERTICES_OUT_ARB :: GLenum
- pattern GL_LINES_ADJACENCY_ARB :: GLenum
- pattern GL_LINE_STRIP_ADJACENCY_ARB :: GLenum
- pattern GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB :: GLenum
- pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB :: GLenum
- pattern GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB :: GLenum
- pattern GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB :: GLenum
- pattern GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB :: GLenum
- pattern GL_MAX_VARYING_COMPONENTS :: GLenum
- pattern GL_MAX_VERTEX_VARYING_COMPONENTS_ARB :: GLenum
- pattern GL_PROGRAM_POINT_SIZE_ARB :: GLenum
- pattern GL_TRIANGLES_ADJACENCY_ARB :: GLenum
- pattern GL_TRIANGLE_STRIP_ADJACENCY_ARB :: GLenum
- glFramebufferTextureARB :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> m ()
- glFramebufferTextureFaceARB :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLenum -> m ()
- glFramebufferTextureLayerARB :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glProgramParameteriARB :: MonadIO m => GLuint -> GLenum -> GLint -> m ()

# Extension Support

glGetARBGeometryShader4 :: MonadIO m => m Bool Source #

Is the ARB_geometry_shader4 extension supported?

gl_ARB_geometry_shader4 :: Bool Source #

Is the ARB_geometry_shader4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBGeometryShader4` in those cases instead.

# Enums

pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB :: GLenum Source #

pattern GL_GEOMETRY_INPUT_TYPE_ARB :: GLenum Source #

pattern GL_GEOMETRY_OUTPUT_TYPE_ARB :: GLenum Source #

pattern GL_GEOMETRY_SHADER_ARB :: GLenum Source #

pattern GL_GEOMETRY_VERTICES_OUT_ARB :: GLenum Source #

pattern GL_LINES_ADJACENCY_ARB :: GLenum Source #

pattern GL_LINE_STRIP_ADJACENCY_ARB :: GLenum Source #

pattern GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB :: GLenum Source #

pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB :: GLenum Source #

pattern GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB :: GLenum Source #

pattern GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB :: GLenum Source #

pattern GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB :: GLenum Source #

pattern GL_MAX_VARYING_COMPONENTS :: GLenum Source #

pattern GL_MAX_VERTEX_VARYING_COMPONENTS_ARB :: GLenum Source #

pattern GL_PROGRAM_POINT_SIZE_ARB :: GLenum Source #

pattern GL_TRIANGLES_ADJACENCY_ARB :: GLenum Source #

pattern GL_TRIANGLE_STRIP_ADJACENCY_ARB :: GLenum Source #

# Functions

glFramebufferTextureARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTexture`.

glFramebufferTextureFaceARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `face` of type TextureTarget.
-> m () |

glFramebufferTextureLayerARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTextureLayer`.

glProgramParameteriARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type ProgramParameterPName.
-> GLint | `value`.
-> m () |

This command is an alias for `glProgramParameteri`.